Create A2A Transfer

Use the /createA2ATransfer endpoint to transfer funds between two accounts within your program. The accounts can belong to the same customer or different customers.

Things to note:

  • The receiving account must have a status of 'Active' to receive funds.
  • Fees can automatically be assessed on this transfer per your configuration/setup with Spidr.
  • Do not use this endpoint to transfer funds between an ACH account or external account. Use Create ACH Transfer instead.
  • Please note that the message parameter is what is displayed to the recipient, the senderMessage is displayed to the sender. If only message is provided, both the sender and receiver will see the same message.

📘 Note: Message and senderMessage do not accept international characters—only letters, numbers, spaces, and punctuation.


Result of calling Create A2A Transfer:

When the Create Account Transfer endpoint has been successfully called:

  • The specified amount is debited from the sending account. This transaction appears as an adjustment on the sending account.
  • The specified amount is credited to the receiving account. This transaction appears as a payment on the receiving account.
  • If configured, a fee is assessed to the sending account. This transaction appears as a fee on the sending account.
Body Params

POST /v1/transaction/createA2ATransfer Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
required

Pass in the Spidr account ID

double
required
≤ 10000000

The amount to transfer between accounts.

string
required

The account ID of the receiving account.

string
length ≥ 1

The type of A2A transfer to create, values to be configured with Spidr.

string
required
length ≤ 2000

The description of the transaction. Displayed to the recipient.

string | null
Defaults to null

The description of the transaction. Displayed to the sender. Only use 'message' if you want the same message displayed to both sender and recipient.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json